> For the complete documentation index, see [llms.txt](https://docs.arcware.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arcware.cloud/web-integration/interacting-with-the-stream/handling-dynamic-content.md).

# Handling Dynamic Content

### Handling Dynamic Content

If your application dynamically loads or changes content, ensure that the stream container is present in the DOM before appending the video element:

```javascript
// Ensure the container is available in the DOM
const container = document.querySelector(`#${containerId}`);
if (!container) {
  // Logic to handle the absence of the container or retry appending
  throw new Error("Container is undefined.");
} else {
  // If the container exists, append the video element
  container.appendChild(application.rootElement);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.arcware.cloud/web-integration/interacting-with-the-stream/handling-dynamic-content.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
